Package javax.validation.constraints

# Enum Class Pattern.Flag

java.lang.Object
java.lang.Enum<Pattern.Flag>
javax.validation.constraints.Pattern.Flag

All Implemented Interfaces:
  `Serializable`, `Comparable<Pattern.Flag>`, `Constable`

Enclosing class:
  `Pattern`

public static enum Pattern.Flag extends Enum<Pattern.Flag>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CANON_EQ`
`CASE_INSENSITIVE`
`COMMENTS`
`DOTALL`
`MULTILINE`
`UNICODE_CASE`
`UNIX_LINES`

## Method Summary

Modifier and Type
Method
Description
`int`
`getValue()`
`static Pattern.Flag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Pattern.Flag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNIX_LINES

public static final Pattern.Flag UNIX_LINES

### CASE_INSENSITIVE

public static final Pattern.Flag CASE_INSENSITIVE

### COMMENTS

public static final Pattern.Flag COMMENTS

### MULTILINE

public static final Pattern.Flag MULTILINE

### DOTALL

public static final Pattern.Flag DOTALL

### UNICODE_CASE

public static final Pattern.Flag UNICODE_CASE

### CANON_EQ

public static final Pattern.Flag CANON_EQ

## Method Details

### values

public static Pattern.Flag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Pattern.Flag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()